package com.vote.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vote.system.domain.VoteEventNews;
import com.baomidou.mybatisplus.extension.service.IService;
import com.vote.system.domain.dto.VoteEventNewsDto;

import java.util.List;

/**
* @author MacBook
* @description 针对表【vote_event_news(活动资讯表)】的数据库操作Service
* @createDate 2024-08-11 17:57:11
*/
public interface VoteEventNewsService extends IService<VoteEventNews> {

    IPage<VoteEventNews> selectByPage(VoteEventNewsDto voteEventNewsDto);

    int addEventsNews(VoteEventNews voteEventNews);

    VoteEventNews selectById(Long id);

    List<VoteEventNews> getNewsTop(Long eventId);

    int top(Long id);
}
